// user preferences for the Copy URL+ extension
// by John Bokma, http://johnbokma.com/
// See also: xxxxxxxxx

// HTML Menu Entries
user_pref('copyurlplus.menus.1.label', 'HTML link');
user_pref('copyurlplus.menus.1.copy',
          '<a href="%URL_HTMLIFIED%">%TITLE_HTMLIFIED%</a>');

user_pref('copyurlplus.menus.2.label', 'HTML selection link');
user_pref('copyurlplus.menus.2.copy',
          '<a href="%URL_HTMLIFIED%">%SEL_HTMLIFIED%</a>');

user_pref('copyurlplus.menus.3.label', 'HTML li link');
user_pref('copyurlplus.menus.3.copy',
          '<li><a href="%URL_HTMLIFIED%">%TITLE_HTMLIFIED%</a></li>');

user_pref('copyurlplus.menus.4.label', 'HTML li selection link');
user_pref('copyurlplus.menus.4.copy',
          '<li><a href="%URL_HTMLIFIED%">%SEL_HTMLIFIED%</a></li>');

user_pref('copyurlplus.menus.5.label', 'HTML li link - selection');
user_pref('copyurlplus.menus.5.copy',
'<li><a href="%URL_HTMLIFIED%">%TITLE_HTMLIFIED%</a> - %SEL_HTMLIFIED%</li>');

// WikiMedia Menu Entries
user_pref('copyurlplus.menus.6.label', 'WikiMedia link');
user_pref('copyurlplus.menus.6.copy',  '[%URL% %TITLE%]');

user_pref('copyurlplus.menus.7.label', 'WikiMedia selection link');
user_pref('copyurlplus.menus.7.copy',  '[%URL% %SEL%]');

user_pref('copyurlplus.menus.8.label', 'WikiMedia * link');
user_pref('copyurlplus.menus.8.copy',  '* [%URL% %TITLE%]');

user_pref('copyurlplus.menus.9.label', 'WikiMedia * selection link');
user_pref('copyurlplus.menus.9.copy',  '* [%URL% %SEL%]');

user_pref('copyurlplus.menus.10.label', 'WikiMedia * link - selection');
user_pref('copyurlplus.menus.10.copy',  '* [%URL% %TITLE%] - %SEL%');

// BBCode Menu Entries
user_pref('copyurlplus.menus.11.label', 'BBCode link');
user_pref('copyurlplus.menus.11.copy',  '[url=%URL%]%TITLE%[/url]');

user_pref('copyurlplus.menus.12.label', 'BBCode selection link');
user_pref('copyurlplus.menus.12.copy',  '[url=%URL%]%SEL%[/url]');

user_pref('copyurlplus.menus.13.label', 'BBCode quoted selection link');
user_pref('copyurlplus.menus.13.copy',
          '[quote]%SEL%[/quote]%EOL%Source: [url=%URL%]%TITLE%[/url]');

// Emacs Org Mode Entries
user_pref('copyurlplus.menus.14.label', 'Emacs Org mode link');
user_pref('copyurlplus.menus.14.copy',  '[[%URL%][%TITLE%]]');

user_pref('copyurlplus.menus.15.label', 'Emacs Org mode link - selection');
user_pref('copyurlplus.menus.15.copy',  '[[%URL%][%TITLE%]] - %SEL%');

